---
title: '<xsl:preserve-space>'
slug: Web/XSLT/Element/preserve-space
tags:
  - Element
  - Reference
  - XSLT
  - preserve-space
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:preserve-space&gt;</code> element defines the elements in the source document for which whitespace should be preserved. If there is more than one element, separate the names with a whitespace character. Preserving whitespace is the default setting, so this element only needs to be used to counteract an <code>&lt;xsl:strip-space&gt;</code> element.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:preserve-space elements=LIST-OF-ELEMENT-NAMES  /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>elements</code></dt>
 <dd>Specifies the elements for which whitespace should be preserved.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Top-level, must be a child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 3.4</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
